<template>
  <div class="home">
    <input
      style="margin: 20px"
      v-model="searchTerm"
      type="text"
      :placeholder="$t('form.search')"
    />
    <div class="product-cards-container">
      <ProductSummaryCard
        v-for="product in filteredItems"
        :key="product.id"
        :product="product"
      >
        <button class="add-to-cart-btn" @click="addToCard(product)">
          +
        </button></ProductSummaryCard
      >
    </div>
  </div>
</template>
<script>
import ProductSummaryCard from "../components/product/ProductSummuryCard.vue";
import { mapGetters, mapActions } from "vuex";

export default {
  name: "HomeView",
  components: {
    ProductSummaryCard,
  },
  data() {
    return {
      searchTerm: "",
    };
  },
  computed: {
    ...mapGetters({ items: "getItemsList" }),
    filteredItems() {
      return this.items.filter((object) => {
        return String(object.name).includes(this.searchTerm);
      });
    },
  },
  methods: {
    ...mapActions(["loadList", "addToCard"]),
  },
  mounted() {
    this.loadList();
  },
};
</script>

<style lang="scss">
.add-to-cart-btn {
  border: none;
  border-radius: 50%;
  width: 42px;
  height: 42px;
  font-size: 20px;
  background-color: #5cb85c; 
  color: white; 
  cursor: pointer;
  transition: background-color 0.3s ease;
}

.add-to-cart-btn:hover {
  background-color: #4cae4c; 
}
.product-cards-container {
  display: flex;
  flex-wrap: wrap; 
  gap: 20px;
  padding-bottom: 20px;
}

.product-cards-container .product-container {
  flex: 0 0 calc(25% - 20px); 
  min-width: 300px;
  margin-bottom: 20px; 
}

input[type="text"] {
  padding: 10px;
  border-radius: 5px;
  border: 1px solid #ccc;
  font-size: 16px;
  width: 100%; 
  max-width: 400px; 
}


@media screen and (max-width: 1200px) {
  .product-cards-container .product-container {
    flex: 0 0 calc(33.333% - 20px); 
  }
}
@media screen and (max-width: 768px) {
  .product-cards-container .product-container {
    flex: 0 0 calc(50% - 20px); 
  }
}
</style>
